For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve list of segments

The site's active segments — name, status, the expression and its description; size with includeSize=true. Page size 5, newest first. Lists: GET /lists.

get
Authorizations
X-Recart-API-KeystringRequired

It can be obtained in Recart account after contacting Support

Query parameters
limitinteger · min: 1 · max: 5Optional

Maximum number of segments to return

Default: 5
offsetintegerOptional

Number of segments to skip, for pagination

Default: 0
idsstring[]Optional

Only these segments

isMemberOfstringOptional

Segments whose expression has a member-of-a-segment condition on this segment or list id

includeSizebooleanOptional

Compute the live size of each segment on the page

Default: false
Responses
200

Ok

application/vnd.api+json
get/segments
GET /app-integrations/2023-12/segments HTTP/1.1
Host: api.recart.com
X-Recart-API-Key: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "type": "segments",
      "attributes": {
        "id": "64f2a1b2c3d4e5f60718293a",
        "name": "Win-back — no order in 90 days",
        "status": "active",
        "editedAt": "2026-06-02T09:14:00.000Z",
        "createdAt": "2025-11-18T14:02:10.000Z",
        "updatedAt": "2026-09-23T22:00:04.000Z",
        "expression": {
          "and": [
            {
              "or": [
                {
                  "slug": "number-of-orders",
                  "type": "number",
                  "operator": "gt",
                  "value": 0
                }
              ]
            },
            {
              "or": [
                {
                  "slug": "placed-an-order",
                  "type": "boolean",
                  "operator": "neq",
                  "value": true,
                  "dateFilter": {
                    "type": "in-the-last",
                    "daysOffset": 90
                  }
                }
              ]
            },
            {
              "or": [
                {
                  "slug": "member-of-a-segment",
                  "type": "boolean",
                  "operator": "neq",
                  "values": [
                    {
                      "id": "64f2a1b2c3d4e5f60718293b",
                      "name": "VIP customers"
                    }
                  ]
                },
                {
                  "slug": "received-a-flow",
                  "type": "boolean",
                  "operator": "neq",
                  "dateFilter": {
                    "type": "in-the-last",
                    "daysOffset": 30
                  },
                  "subcondition": {
                    "slug": "sequence",
                    "category": "sequence-id",
                    "operator": "eq",
                    "values": [
                      {
                        "id": "6138d0ac2d79e00001210035",
                        "name": "Win-back flow"
                      }
                    ]
                  }
                }
              ]
            }
          ]
        },
        "description": "Number of orders is greater than 0 and Has not placed an order in the last 90 days and Is not member of VIP customers or Has not received a flow in the last 30 days flow name is Win-back flow"
      }
    },
    {
      "type": "segments",
      "attributes": {
        "id": "64f2a1b2c3d4e5f60718293c",
        "name": "Summer 2025 quiz takers",
        "status": "dormant",
        "dormantAt": "2026-03-01T03:00:00.000Z",
        "editedAt": "2025-06-10T08:00:00.000Z",
        "createdAt": "2025-06-10T08:00:00.000Z",
        "updatedAt": "2026-03-01T03:00:00.000Z",
        "expression": {
          "and": [
            {
              "or": [
                {
                  "slug": "subscribed-to-channel",
                  "type": "boolean",
                  "operator": "eq",
                  "value": "sms",
                  "subcondition": {
                    "slug": "subscription-source",
                    "category": "optin-tool-id",
                    "operator": "eq",
                    "values": [
                      {
                        "id": "655637c97825e6ae655fe1c9",
                        "name": "Summer quiz"
                      }
                    ]
                  }
                }
              ]
            }
          ]
        },
        "description": "Has subscribed to sms source is Summer quiz"
      }
    }
  ]
}

Last updated

Was this helpful?